<%--
   This JSP page supports the extended property SSLKEYSIZE detection.
   Make it available as /sslcheck.jsp on a servlet engine running HTTPS 
   that supports Servlet API 2.3 or later, edit the browserhawk.properties
   file and configure the extended.ssl.check.url property to point at your
   server, and then this page will be used as part of the SSLKEYSIZE check.
   
   Copyright (c) 2002 cyScape, Inc. All rights reserved.
--%>

<%
  Integer keySize = (Integer)
             request.getAttribute("javax.servlet.request.key_size");
  if (keySize != null) {
    out.println("bhsk = " + keySize.intValue());
  }
  else {
    out.println("bhsk = -1");
  }
%>
